%define piname	celestial_navigation_pi

Name:		opencpn-celestial-navigation-plugin
Summary:	Celestial Navigation plugin for OpenCPN
Version:	2.3.15.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/celestialnav.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Implements nautical almanac for sun, moon, planets and various
navigational stars.

Enables the user to compute a position fix from celestial measurements.

%prep
%autosetup -p1 -n %{piname}-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Mon Jul 11 2022 philippedidier <philippedidier> 2.3.15.0-1.mga8
+ Revision: 1868418
- new version 2.3.15.0
- correct %%mkrel and add %%subrel
- build with wxgtku3.0 absolutely needed instead of 3.1
+ wally <wally>
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 2.3-9.mga8
+ Revision: 1667709
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 2.3-8.mga8
+ Revision: 1614350
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 2.3-7.mga8
+ Revision: 1539492
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 2.3-6.mga8
+ Revision: 1459475
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 2.3-5.mga8
+ Revision: 1421014
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 2.3-4.mga7
+ Revision: 1299992
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 2.3-3.mga7
+ Revision: 1239499
- fix build on aarch64

* Thu Apr 12 2018 barjac <barjac> 2.3-2.mga7
+ Revision: 1217958
- new version 2.3

* Thu Dec 28 2017 barjac <barjac> 2.2-1.mga7
+ Revision: 1186600
- new version 2.2
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 2.1-3.mga6
+ Revision: 1106108
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.1-2.mga6
+ Revision: 1019828
- rebuild for wxgtk3.0 built with GTK2

* Tue May 10 2016 barjac <barjac> 2.1-1.mga6
+ Revision: 1011993
- new version 2.1

* Mon Feb 29 2016 barjac <barjac> 2.0-1.mga6
+ Revision: 980799
- new version 2.0

* Tue Feb 16 2016 barjac <barjac> 1.11-2.mga6
+ Revision: 962307
- changed buildrequire wxgtku3.0

* Tue Dec 15 2015 barjac <barjac> 1.11-1.mga6
+ Revision: 910828
- new version 1.11

* Tue Dec 08 2015 barjac <barjac> 1.10-1.mga6
+ Revision: 908764
- new package opencpn-celestial-navigation-plugin

